Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	a functional constraint library
Name:		facile
Version:	1.1
Release:	1
License:	LGPL
URL:		http://www.recherche.enac.fr/log/facile/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-1.1-destdir.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ocaml

%description
FaCiLe is a constraint programming library on integer and integer set finite domains written in OCaml. It offers all usual facilities to create and manipulate finite domain variables, arithmetic expressions and constraints (possibly non-linear), built-in global constraints (difference, cardinality, sorting etc.) and search and optimization goals. FaCiLe allows as well to build easily user-defined constraints and goals (including recursive ones), making pervasive use of OCaml higher-order functionals to provide a simple and flexible interface for the user. As FaCiLe is an OCaml library and not "yet another language", the user benefits from type inference and strong typing discipline, high level of abstraction, modules and objects system, as well as native code compilation efficiency, garbage collection and replay debugger, all features of OCaml (among many others) that allow to prototype and experiment quickly: modeling, data processing and interface are implemented with the same powerful and efficient language.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
# don't use configure macro - facile configure doesn't know about host
./configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/ocaml/facile/


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1-1
- initial CCux package release
